<?php
/**********************************************************************

	Released under the terms of the GNU General Public License, GPL,
***********************************************************************/

                
class petty_cash_app extends application
{
    function __construct()
    {
        parent::__construct("PC", _($this->help_context = "&Petty Cash"));

        $this->add_module(_("Transactions"));
            $this->add_lapp_function(0, _("&I Owe You Entry"),"petty_cash/i_owe_you.php?NewOrder=Yes", 'SA_I_OWE_YOU_REQUESTS_ENTRY', MENU_TRANSACTION);
            $this->add_lapp_function(0, _("I Owe You Expenses Entry"),"petty_cash/i_owe_you_expenses_entry_select.php?", 'SA_I_OWE_YOU_EXPENSES_ENTRY', MENU_TRANSACTION);
            $this->add_lapp_function(0, _("Petty Cash Expenses Entry"),"petty_cash/petty_cash_expenses_entry.php?NewExpense=Yes", 'SA_PETTY_CASH_EXPENSES_ENTRY', MENU_TRANSACTION);
            $this->add_lapp_function(0, _("I Owe You / Petty Cash &Payments Entry"),"petty_cash/i_owe_you_payments_entry_select.php?", 'SA_PETTY_CASH_PAYMENTS_ENTRY', MENU_INQUIRY);
            $this->add_lapp_function(0, _("&Direct Petty Cash Payments"),"petty_cash/petty_cash_direct_payments.php?", 'SA_PETTY_CASH_DIRECT_PAYMENTS', MENU_TRANSACTION);

            $this->add_rapp_function(0, _('&Approve I Owe You Requests'),"petty_cash/approve_i_owe_you_requests.php?", 'SA_I_OWE_YOU_REQUESTS_APPROVE', MENU_TRANSACTION);
            $this->add_rapp_function(0, _('&Approve I Owe You / Petty Cash Expenses'),"petty_cash/approve_i_owe_you_expenses_select.php?", 'SA_PETTY_CASH_EXPENSES_APPROVE', MENU_TRANSACTION);
                    
            $this->add_rapp_function(0, "","");       

            $this->add_rapp_function(0, _("&Project Advances"),"petty_cash/project_advance_batches.php?", 'SA_PETTY_CASH_DIRECT_PAYMENTS', MENU_TRANSACTION);

            $this->add_rapp_function(0, _("I Owe You Advances"),"petty_cash/i_owe_you_advances.php?", 'SA_I_OWE_YOU_ADVANCES', MENU_TRANSACTION);
            $this->add_rapp_function(0, _("&Float Receipt"),"petty_cash/float_receipt.php?", 'SA_PETTY_CASH_FLOAT_ADJUSTMENTS', MENU_TRANSACTION);
            $this->add_rapp_function(0, _("&Float Payment"),"petty_cash/float_payment.php?", 'SA_PETTY_CASH_FLOAT_ADJUSTMENTS', MENU_TRANSACTION);
            $this->add_rapp_function(0, _("&Float Trasfer"),"petty_cash/float_transfer.php?", 'SA_PETTY_CASH_FLOAT_ADJUSTMENTS', MENU_TRANSACTION);
            $this->add_rapp_function(0, _("Petty &Cash Float Entries"),"petty_cash/petty_cash_float_adjustments.php?", 'SA_PETTY_CASH_FLOAT_ADJUSTMENTS', MENU_TRANSACTION);
            $this->add_rapp_function(0, _("Petty &Cash Float Reimbursement"),"petty_cash/petty_cash_float_reimbursement.php?", 'SA_PETTY_CASH_FLOAT_REIMBURSEMENT', MENU_TRANSACTION);
            $this->add_rapp_function(0, _("Project &Float Entries"),"petty_cash/project_float_adjustments.php?", 'SA_PETTY_CASH_FLOAT_ADJUSTMENTS', MENU_TRANSACTION);
            $this->add_rapp_function(0, _("&Float to Bank Trasfer"),"petty_cash/float_to_bank_transfer.php?", 'SA_PETTY_CASH_FLOAT_ADJUSTMENTS', MENU_TRANSACTION);

            $this->add_rapp_function(0, "","");       

            $this->add_rapp_function(0, _("Reopen I Owe Yous"),"petty_cash/reopen_i_owe_yous.php?", 'SA_PETTY_CASH_REOPEN_IOUS', MENU_TRANSACTION);

        $this->add_module(_("Inquiries and Reports"));
            $this->add_lapp_function(1, _("I Owe You Inquiry"),"petty_cash/inquiry/i_owe_you_inquiry.php?", 'SA_I_OWE_YOU_INQ', MENU_INQUIRY);
            $this->add_lapp_function(1, _("Petty Cash Expenses Inquiry"),"petty_cash/inquiry/petty_cash_expenses_inquiry.php?", 'SA_PETTY_CASH_EXPENSES_INQ', MENU_INQUIRY);
            $this->add_lapp_function(1, _("I Owe You Batches Inquiry"),"petty_cash/inquiry/i_owe_you_batch_expenses_inquiry.php?", 'SA_I_OWE_YOU_INQ', MENU_INQUIRY);
            $this->add_lapp_function(1, _("I Owe You Advances Inquiry"),"petty_cash/inquiry/i_owe_you_advances_inquiry.php?", 'SA_PETTY_CASH_FLOAT_INQUIRY', MENU_INQUIRY);
            $this->add_lapp_function(1, _("Project Advances Inquiry"),"petty_cash/inquiry/project_advance_batches_inquiry.php?", 'SA_PETTY_CASH_FLOAT_INQUIRY', MENU_INQUIRY);
            $this->add_lapp_function(1, _("Petty Cash Payments Inquiry"),"petty_cash/inquiry/petty_cash_payments_inquiry.php?", 'SA_PETTY_CASH_PAYMENTS_INQ', MENU_INQUIRY);
            $this->add_lapp_function(1, _("I Owe You Bank Payments Inquiry"),"petty_cash/inquiry/iou_bank_payments_inquiry.php?", 'SA_PETTY_CASH_PAYMENTS_INQ', MENU_INQUIRY);
            $this->add_lapp_function(1, _("Petty Cash Adjustments Inquiry"),"petty_cash/inquiry/petty_cash_adjustments_inquiry.php?", 'SA_PETTY_CASH_PAYMENTS_INQ', MENU_INQUIRY);


            $this->add_rapp_function(1, _("I Owe You Expenses Details Inquiry"),"petty_cash/inquiry/i_owe_you_expense_details_inquiry.php?", 'SA_I_OWE_YOU_INQ', MENU_INQUIRY);
            $this->add_rapp_function(1, "",""); 
            $this->add_rapp_function(1, _("Employee Petty Cash Outstanding"),"petty_cash/inquiry/employee_petty_cash_outstanding.php?", 'SA_I_OWE_YOU_INQ', MENU_INQUIRY);
            $this->add_rapp_function(1, "",""); 
            $this->add_rapp_function(1, _("Petty Cash Float Transactions"),"petty_cash/inquiry/float_transactions_inquiry.php?", 'SA_PETTY_CASH_FLOAT_INQUIRY', MENU_INQUIRY);
            $this->add_rapp_function(1, _("Petty Cash Float Inquiry"),"petty_cash/inquiry/petty_cash_float_inquiry.php?", 'SA_PETTY_CASH_FLOAT_INQUIRY', MENU_INQUIRY);
            $this->add_rapp_function(1, _("Project Float Inquiry"),"petty_cash/inquiry/project_float_inquiry.php?", 'SA_PROJECT_FLOAT_INQ', MENU_INQUIRY);

            $this->add_rapp_function(1, "",""); 

            $this->add_rapp_function(1, _("Petty Cash &Reports"),"reporting/reports_main.php?Class=".RC_PETTY_CASH, 'SA_PETTY_CASH_ANALYTIC', MENU_REPORT);

            $this->add_module(_("Maintenance"));
            $this->add_lapp_function(2, _("&Petty Cash Floats"),"petty_cash/manage/petty_cash_floats.php?", 'SA_PETTY_CASH_FLOATS', MENU_MAINTENANCE);
            $this->add_lapp_function(2, _("&Petty Cash Float Users"),"petty_cash/manage/petty_cash_float_users.php?", 'SA_PETTY_CASH_FLOAT_USERS', MENU_MAINTENANCE);
            $this->add_lapp_function(2, _("&Project Floats"),"petty_cash/manage/project_floats.php?", 'SA_PROJECT_FLOATS', MENU_MAINTENANCE);

            $this->add_rapp_function(2, _("Petty Cash Expense Types"),"petty_cash/manage/petty_cash_expense_accounts.php?", 'SA_PETTY_CASH_EXPENSE_ACCOUNTS', MENU_MAINTENANCE);
            $this->add_rapp_function(2, "","");

            $this->add_extensions();
    }
}


?>